### Enumeration

# Qmi LocEventRegistrationFlag

since: 1.22

#### Declaration

    flags Qmi.LocEventRegistrationFlag

#### Description [src]

For which events to register the subscription.

Available since: 1.22

#### Members

`QMI_LOC_EVENT_REGISTRATION_FLAG_POSITION_REPORT`

  Position report.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_GNSS_SATELLITE_INFO`

  GNSS satellite info.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_NMEA`

  NMEA.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_NI_NOTIFY_VERIFY_REQUEST`

  NI Notify verify request.

  - Value: `8`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_TIME_REQUEST`

  Inject time request.

  - Value: `16`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_PREDICTED_ORBITS_REQUEST`

  Inject predicted orbits request.

  - Value: `32`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_INJECT_POSITION_REQUEST`

  Inject position request.

  - Value: `64`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_ENGINE_STATE`

  Engine state.

  - Value: `128`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_FIX_SESSION_STATE`

  Fix session state.

  - Value: `256`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_WIFI_REQUEST`

  WIFI request.

  - Value: `512`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_SENSOR_STREAMING_READY_STATUS`

  Sensor streaming ready status.

  - Value: `1024`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_TIME_SYNC_REQUEST`

  Time sync request.

  - Value: `2048`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_SET_SPI_STREAMING_REPORT`

  Set SPI streaming report.

  - Value: `4096`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_LOCATION_SERVER_CONNECTION_REQUEST`

  Location server connection request.

  - Value: `8192`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_NI_GEOFENCE_NOTIFICATION`

  NI geofence notification.

  - Value: `16384`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_GEOFENCE_GENERAL_ALERT`

  Geofence general alert.

  - Value: `32768`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_GEOFENCE_BREACH_NOTIFICATION`

  Geofence breach notification.

  - Value: `65536`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_PEDOMETER_CONTROL`

  Pedometer control.

  - Value: `131072`
  - Available since: 1.22
`QMI_LOC_EVENT_REGISTRATION_FLAG_MOTION_DATA_CONTROL`

  Motion data control.

  - Value: `262144`
  - Available since: 1.22